package com.sodius.mdw.log;

/**
 * @author Mickael Albert
 *
 * Describes the dimension of the information contained in an EventStatus
 */
public enum EventKind
{
	LIMITATION("Limitation", "Event occurring due to limitation of input/output metamodels. For instance:\n" +
				"- UML does not accept Operations on Actors\n" +
				"- Rhapsody does not accept UseCases into Classes"),
	MODELING("Modeling", "Event occurring due to bad usage of input/ouput metamodels. For instance:\n" +
				"- Attribute's type missing"),
	MAPPING("Mapping", "Event occurring during the mapping process. For instance:\n" +
				"- Error when applying stereotype on an element"), 
	IO("Input/Ouput", "Event occurring during access of input/output data. For instance:\n" +
				"- Not able to connect to Rhapsody"), 
	USER("User", "Event occurring from user's input. For instance:\n" +
				"- Export cancelled by user"),
	DEBUG("Debug", "Event occurring only in a debug context"),			
	MISC("Misc", "Event occurring in an unexpected context");
	
	private final String name;
	private final String description;
	private EventKind(String name, String description) {
		this.name = name;
		this.description = description;
	}
	public String getName() {
		return name;
	}
	public String getDescription() {
		return description;
	}
	
	
}