package com.sodius.mdw.log;

import org.eclipse.core.runtime.IStatus;

import com.sodius.mdw.core.util.log.Level;

/**
 * @author Mickael Albert
 * Gives the error level of an EventStatus
 */
public enum EventSeverity {
	DEBUG(Level.DEBUG, IStatus.OK, "Only information flow in a debug mode"),
	INFO(Level.INFO, IStatus.INFO, "Only information flow"),
	WARNING(Level.WARNING, IStatus.WARNING, "Issue which does not corrupt the Event"),
	ERROR(Level.ERROR, IStatus.ERROR, "Error which impact the Event"),
	FATAL(Level.ERROR, IStatus.ERROR, "Error which avoid the completion of the Event");
	
	private final Level mwdLevel;
	private final int iStatusLevel;
	private final String description;
	private EventSeverity(Level mwdLevel, int iStatusLevel, String description) {
		this.mwdLevel = mwdLevel;
		this.iStatusLevel = iStatusLevel;
		this.description = description;
	}
	/**
	 * @return The MDWorkbench level of error
	 */
	public Level getLevel() {
		return mwdLevel;
	}
	/**
	 * @return The Eclipse level of error (IStatus)
	 */
	public int getSeverity() {
		return iStatusLevel;
	}
	
	public String getDescription() {
		return description;
	}
	
}
