package com.sodius.mdw.log.context;

import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.EStructuralFeature;

import com.sodius.mdw.core.model.Model;


/**
 * @author Mickael Albert
 * Context describing a EStructuralFeature of a element from a Model
 */
public class FeaturedElementWithValueContext extends FeaturedElementContext {

	public static final String KEY_VALUE="value";
	protected static final List<String> keys = new ArrayList<String>(Arrays.asList(new String[]{KEY_VALUE}));
	static{
		keys.addAll(FeaturedElementContext.keys);
	}
	
	public FeaturedElementWithValueContext(Model model, EClass eClass,
			EStructuralFeature feature, String namespace, String value) {
		super(model, eClass, feature, namespace);
		key2value.put(KEY_VALUE, value);
	}

	public static FeaturedElementWithValueContext create(Model model, EClass eClass, EStructuralFeature feature, String namespace, String value)
	{
		return new FeaturedElementWithValueContext(model, eClass, feature, namespace, value);
	}
	
	@Override
	public String toString() {
		return super.toString()+"="+getValueDescription(KEY_VALUE);
	}

	@Override
	public String getSimpleName() {
		return super.getSimpleName()+"="+getValueDescription(KEY_VALUE);
	}
	
}
