package com.sodius.mdw.log.context;

import java.util.Collection;
import java.util.HashMap;
import java.util.Map;

import com.sodius.mdw.log.AbstractEventContext;

/**
 * @author Mickael Albert
 * Default implementation of a Context
 * Map implementation of key/value binding
 */
public class GenericEventContext extends AbstractEventContext{
	
	protected final Map<String, Object> key2value = new HashMap<String, Object>();
	
	/**
	 * @param keyEqualValue Array of String in format "key=value";
	 */
	public GenericEventContext(String... keyEqualValue ) {
		for (String string : keyEqualValue) {
			int indexEQ = string.indexOf('=');
			if(indexEQ>0)
				key2value.put(string.substring(0,indexEQ), string.substring(indexEQ+1));
		}
	}
	
	public Collection<String> getKeys() {
		return key2value.keySet();
	}

	public boolean hasValue(String key) {
		return getValue(key)!=null;
	}

	public Object getValue(String key) {
		return key2value.get(key);
	}
	
	public String getSimpleName() {
		return toString();
	}
	
	public String getURL() {
		return null;
	}
}
