package com.sodius.rhapsody.toolkit.engine.uml21;

import com.sodius.mdw.core.util.log.AbstractLogger;
import com.sodius.mdw.core.util.log.Level;
import com.sodius.mdw.core.util.log.Logger;
import com.sodius.mdw.log.EventStatus;


public class EventToPrintLogger extends AbstractLogger{

	private final Logger out;
	private final Logger err;
	
	public EventToPrintLogger(Logger out, Logger err) {
		this.out=out;
		this.err=err;
	}

	@Override
	protected void log(Level level, Object message, Throwable error) {
		Logger logToUse = err;
		if(message instanceof EventStatus || 
				level==Level.DEBUG ||
				level==Level.INFO)
		{
			logToUse=out;
		}
		if(Level.DEBUG.equals(level))
			logToUse.debug(message, error);
		else if(Level.ERROR.equals(level))
			logToUse.error(message, error);
		else if(Level.WARNING.equals(level))
			logToUse.warning(message, error);
		else if(Level.INFO.equals(level))
			logToUse.info(message, error);
	}
}
