package com.sodius.rhapsody.toolkit.ui;

import java.io.IOException;
import java.io.Writer;

import com.sodius.mdw.core.CoreException;
import com.sodius.rhapsody.toolkit.engine.XMIEngine;
import com.sodius.rhapsody.toolkit.util.thread.RhapsodyAPIExec;

public class RhapsodyConsoleWriter extends Writer {

	private final XMIEngine engine;
	private boolean emptyLog = true;
	RhapsodyConsoleWriter(XMIEngine engine) {
		super();
		this.engine = engine;
	}

	@Override
	public void write(final char[] cbuf,final  int off,final  int len) throws IOException {
		if(len>0)
			emptyLog=true;
		try {
			RhapsodyAPIExec.synchExec(new Runnable() {
				
				public void run() {
					
					engine.getApplication().writeToOutputWindow("Toolkit", new String(cbuf, off, len)+"\n");
				}
			
			});
		} catch (CoreException e) {
			e.printStackTrace();
		}
	}

	@Override
	public void flush() throws IOException {
	}

	@Override
	public void close() throws IOException {
	}
	
	public boolean isEmpty() {
		return emptyLog;
	}

}
