package com.sodius.rhapsody.toolkit.ui;

import org.eclipse.jface.resource.ImageDescriptor;
import org.eclipse.jface.wizard.IWizardNode;
import org.eclipse.jface.wizard.WizardSelectionPage;

abstract class ToolkitWizardSelectionPage extends WizardSelectionPage  implements IToolkitParameterSetterWizardPage {
	protected ToolkitUIManager manager;
	boolean isFinished = false;
    ToolkitWizardSelectionPage(ToolkitUIManager manager, String pageName, String pageTitle, ImageDescriptor imageDescriptor) {
    	super(pageName);
    	this.setTitle(pageTitle);
    	this.setImageDescriptor(imageDescriptor);
        this.manager = manager;
    }
    
    public ToolkitUIManager getManager() {
		return manager;
	}
    
    public boolean isRecursiveCommandLineFilled() {
    	if(this.isCommandLineFilled() && this.getSelectedNode()!=null && this.getSelectedNode().getWizard() instanceof ToolkitWizard)
    		return ((ToolkitWizard)this.getSelectedNode().getWizard()).isRecursiveCommandLineFilled();
    	return false;
    }
    public boolean isNodesRecursiveCommandLineFilled() {
    	if(this.getSelectedNode()!=null && this.getSelectedNode().getWizard() instanceof ToolkitWizard)
    		return ((ToolkitWizard)this.getSelectedNode().getWizard()).isRecursiveCommandLineFilled();
    	return false;
    }
    protected void manageAutomaticPageComplete()
    {
    	if(this.isNodesRecursiveCommandLineFilled())
    	{
    		this.setPageComplete(true);
    		this.setSelectedNode(null);
    		isFinished=true;
    	}
    }
    
    @Override
    protected void setSelectedNode(IWizardNode node) {
    	if(isFinished)
    		super.setSelectedNode(null);
    	else
    		super.setSelectedNode(node);
    }
}
